common.comp.displayName = "VMware vCenter Server Patcher"
patch.error.deploymentType.resolution = "vCSA patching is not executed on the right host or the vCSA is not properly configured"
patch.error.deploymentType.text = "vCSA Deployment type cannot be retrieved"
sso.displayName = "Single Sign-On"
sso.error.description = "SSO service is down"
sso.error.resolution = "Please check if  .."
sso.error.text = "Unable to connect to SSO"
sso.password.desc = "SSO root password is .."
sso.password.error.description = "SSO root password is supposed to ..."
sso.password.error.resolution = "Please verify if provided password is .."
sso.password.error.text = "SSO password is incorrect"
sso.password.skip.description = "SSO password verification is skipped"
sso.password.skip.resolution = "You can verify the SSO password by .."
sso.password.skip.text = "SSO password validation is skipped"
sso.password.text = "What is the SSO root password"
sso.patch.begin = "Start SSO_mockup patching"
sso.patch.complete = "patching SSO_mockup completed"
sso.warn.description = "This is SSO mockup script"
sso.warn.resolution = "You can ignore me.."
sso.warn.text = "This is SSO mockup script"
sso_mockup.patch1.summary = "The config file is renamed to specific location.The memory consumption is reduced"
sso_mockup.patch3.summary = "Improve the performance.Faster bootstrap"
test.component.dispalyName = "Test Component %(0)s"
ur.internal.resolution = "Send upgrade log files to VMware technical support team for further assistance."
ur.internal.text = "Internal error occurs during execution of upgrade process."
ur.rpm.removal.error.resolution = "There are deprecated rpms that cannot be removed automatically. To ensure that there will be no problems with subsequence patches remove the rpms manually."
ur.rpm.removal.error.text = "Cannot remove automatically deprecated rpms %(0)s from the system."
ur.rpm.removal.warning.description = "As part of the patch deprecated products rpms need to be removed from the system, however this won't be possible due to dependency problems."
ur.rpm.removal.warning.resolution = " To ensure that there will be no problems with subsequence patches remove those rpms manually."
ur.rpm.removal.warning.text = "It won't be possible to remove deprecated rpms %(0)s from the system"

com.vmware.autoupgrade_precheck.error.resolution = "Before you upgrade the vCenter Server, upgrade the Kubernetes control plane on the Supervisor Cluster to a supported version. The supported Kubernetes versions are : [%(0)s]"
com.vmware.autoupgrade_precheck.warning.resolution = "Upgrade Kubernetes on the Supervisor Cluster manually to one of these versions: [%(0)s]. If you do not upgrade Kubernetes manually, it is automatically upgraded to the next compatible version. Before you upgrade the Kubernetes control plane, ensure that the Supervisor Cluster is in the READY state."
com.vmware.autoupgrade_license_compatible.warning.resolution = "Before proceeding with the upgrade, assign a valid Tanzu edition license to the Supervisor Cluster. You can upgrade the vCenter Server without assigning a valid license to the Supervisor Cluster. However, you must upgrade the Supervisor Cluster manually after the vCenter Server upgrade."
com.vmware.autoupgrade_license_incompatible.warning.resolution = "Before proceeding with the upgrade, assign a valid Tanzu edition license to the Supervisor Cluster. You can upgrade the vCenter Server without assigning a valid license to the Supervisor Cluster. However, if any errors occur after the upgrade, you cannot recover the cluster or assign a valid Tanzu edition license to it."

com.vmware.autoupgrade_license.warning.description = "The Tanzu edition license or the evaluation period of this Supervisor Cluster has expired: \n  { %(0)s:%(1)s } "
com.vmware.autoupgrade_precheck.error.description = "The vCenter Server upgrade is blocked because this Supervisor Cluster is running on an incompatible Kubernetes version : \n { %(0)s:%(1)s } "
com.vmware.autoupgrade_precheck.warning.description = "This Supervisor Cluster is running an unsupported Kubernetes version and becomes incompatible after the vCenter Server upgrade :  \n : { %(0)s:%(1)s }"

com.vmware.autoupgrade_precheck.desc_limit.warning = "There are %(0)s more clusters with auto-upgrade errors and warnings."
com.vmware.autoupgrade_precheck.desc_limit.resolution = "Check the vCenter Server logs to view all auto-upgrade errors and warnings."
